/*
Theme Name: scsgp child
Theme URI: 
Author: Silver Hoop Edge LLC
Author URI: 
Description: child theme of tt5 for scsgp
Requires at least: 6.9
Tested up to: 6.9
Requires PHP: 5.7
Version: 1.0.1
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Template: twentytwentyfive
Text Domain: scsgp-child
Tags: 
*/

/*start clickable event and blog article*/
/* 1. The parent element context */
.featured-events{
position: relative; 
}

/* 2. The stretched click area */
.featured-events h3 a::after{
content: '';
position: absolute;
top: 0;
right: 0;
bottom: 0;
left: 0;
z-index: 1;/* Less than the inner interactive elements */
pointer-events: auto; 
}

/* 3. Priority for Internal Interactive Elements */
.featured-events p a,
.featured-events .wp-block-button 
 {
position: relative;
z-index: 2; /* Above the stretched click area */
}

/*end clickable event and blog article*/


::marker{/*put in theme.json*/
/*color:var(--wp--preset--color--accent-gold);*/
}
li.wp-block-navigation-item a
{/*does not work in theme.json*/
padding-top: .25rem;
padding-right: .625rem;
padding-bottom: .25rem;
padding-left: .625rem;	
border-radius: 9999px;
}
.donation a:link{
background-color: var(--wp--preset--color--accent-gold) !important;
}
.donation a:hover{
/*background-color:transparent;*/
}

@media (max-width: 775px){
	
.featured-events .wp-block-columns	
.reversal/*,
.about-columns .wp-block-columns:nth-child(odd)*/{
flex-direction:column-reverse;}
}

.left-overlap{
display:grid;
grid-template-columns: 75px 75px 1fr;
}
.left-overlap figure {
grid-column-start:1;
grid-column-end:3;
grid-row-start:1;
grid-row-end:2;
z-index:10;
}
.left-overlap .wp-block-heading{
grid-column-start:2;
grid-column-end:-1;
grid-row-start:1;
grid-row-end:2;
}

@media (max-width: 670px){
.left-overlap{
display:grid;
grid-template-columns: 1fr;
grid-template-rows: 75px 75px 1fr;
}
.left-overlap .section-icon,
.left-overlap figure {
grid-column-start:1;
grid-column-end:1;
grid-row-start:1;
grid-row-end:3;
z-index:10;
}
.left-overlap .wp-block-heading{
grid-column-start:1;
grid-column-end:1;
grid-row-start:2;
grid-row-end:-1;
padding-top:100px !important;
padding-left:0 !important;
text-align: center !important;
}
}
/*transitions are not supported in theme.json*/
li.wp-block-post > .wp-block-group{ 
box-shadow: none;
transition: box-shadow 0.3s ease-in-out;
}
li.wp-block-post > .wp-block-group:hover{
box-shadow: 0 0 15px 0px rgba(0, 0, 0, .15);
}

/*wide*/
/*@media (min-width: 1024px){*/
/*.about-overlap{
display:grid;
grid-template-columns: repeat(12,1fr);	
align-items: center;
outline:1px solid black;
}
.about-overlap img {
outline:2px solid green;
grid-column-start:1;
grid-column-end:8;
grid-row-start:1;
grid-row-end:2;
}
.about-overlap >.wp-block-group:first-of-type{
z-index:100;
position:relative;
outline:2px solid magenta;
grid-column-start:6;
grid-column-end:13;
grid-row-start:1;
grid-row-end:2;
}*/
/*}*/

/*also disable this if the narrow column is at the bottom*/
@media screen and (prefers-reduced-motion: reduce) {
.is-position-sticky {
position: relative; /* Returns the element to the normal document flow */
  }
}

